com.fasterxml.jackson.databind.jdk14

## Class JDK14Util

- java.lang.Object
- - com.fasterxml.jackson.databind.jdk14.JDK14Util

    public class JDK14Util
    extends Object

Helper class to support some of JDK 14 (and later) features without Jackson itself being run on (or even built with) Java 14. In particular allows better support of `java.lang.Record` types (see JEP 359).

Since:
  2.12

### Constructor Summary

Constructors
Constructor and Description
`JDK14Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AnnotatedConstructor` `findRecordConstructor(DeserializationContext ctxt, BeanDescription beanDesc, List<String> names)`
`static String[]` `getRecordFieldNames(Class<?> recordType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDK14Util

    public JDK14Util()

### Method Detail

#### getRecordFieldNames

    public static String[] getRecordFieldNames(Class<?> recordType)

#### findRecordConstructor

    public static AnnotatedConstructor findRecordConstructor(DeserializationContext ctxt,
                                                             BeanDescription beanDesc,
                                                             List<String> names)